import { actionIsLoading } from '../../loading/action';
import {
  actionGetMessagesSuccess,
  actionGetMessagesReject
} from '../action';
import { getMessagesById,sentMessageById } from '../../../api-data';
import { TMessages } from '../../../typescript/redux/messages/types'


const asyncGetMessagesById= (id:string,cb:any) => async (dispatch:any) => {
  try {
    const data = await getMessagesById<TMessages>(id)
    data && dispatch(actionGetMessagesSuccess(data))
    cb&&cb()
  } catch (e) {
    dispatch(actionGetMessagesReject())
  } 
};

const asyncSentMessageById= (id:string,message:any) => async (dispatch:any) => {
  try {
    dispatch(actionIsLoading(true));
    await sentMessageById(id, message)
  } finally {
    dispatch(actionIsLoading(false));
  }
};

export { asyncGetMessagesById,asyncSentMessageById };




